Subject: Reliable luxury timepiece for less

From: " Kink-archive" <[email-masked] >
Date: Tue, 10 Jul 2007 10:18:01 -0500

First thing in the paraphernalia of a high-society person – luxury timepiece!
Same quality offered at a tiny fraction of the original manufacturer’s price!
Detailed replicas of the most popular brand-name chronometers are waiting!
http://disrich.com